# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4
PYTHON_COMPAT=( python2_7 )
DISTUTILS_SINGLE_IMPL=1

inherit distutils-r1 git-2

DESCRIPTION="Resilient, Scalable, IPv6 Network application."
HOMEPAGE="http://www.erp5.com/NXD-re6st.Two.Page"

EGIT_REPO_URI="http://git.erp5.org/repos/${PN}.git"
EGIT_BRANCH="legacy" # token via email -- requires babeld 1.5.1_p3

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 arm"
IUSE="python"

# Python must be compiled with sqlite support
PYTHON_REQ_USE="sqlite ipv6"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"

DEPEND="dev-python/setuptools
		    >=dev-lang/python-2.7
	 	    <dev-lang/python-2.8
		    dev-python/docutils"
RDEPEND=">=dev-lang/python-2.7
		     <dev-lang/python-2.8
		     >=dev-libs/openssl-0.13
		     >=net-vpn/openvpn-2.1.3
		     =net-misc/babeld-re6stnet-1.5.1_p3
		     sys-apps/iproute2
		     dev-libs/openssl
		     dev-python/pyopenssl
		     dev-python/miniupnpc"

python_compile() {
	  distutils-r1_python_compile
}

python_install() {
    distutils-r1_python_install
}
